Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.instance
Class BookInstance

    java.lang.Object
      |
      +--com.bea.netuix.application.instance.BookInstance

All Implemented Interfaces:
  NavigableInstance, PlaceableInstance, Serializable

public class BookInstance
extends Object
implements NavigableInstance, PlaceableInstance, Serializable

See Also:
  Serialized Form

Constructor Summary
`BookInstance(MenuDefinitionId menuDefinitionId, ThemeDefinitionId themeDefinitionId, short menuOrientation, String instanceTitle)`

Method Summary
`BookDefinition` | `getBookDefinition()`
`BookDefinitionId` | `getBookDefinitionId()`
`BookGroupId` | `getBookGroupId()`
`BookInstanceId` | `getBookInstanceId()`
`String` | `getInstanceTitle()`
`MenuDefinitionId` | `getMenuDefinitionId()`
`short` | `getMenuOrientation()`
`NavigableDefinition` | `getNavigableDefinition()`
`NavigableDefinitionId` | `getNavigableDefinitionId()`
`NavigableInstanceId` | `getNavigableInstanceId()`
`PlaceableDefinition` | `getPlaceableDefinition()`
`PlaceableInstanceId` | `getPlaceableInstanceId()`
`PlacementId` | `getPlacementId()`
`ThemeDefinitionId` | `getThemeDefinitionId()`
`void` | `setInstanceTitle(String instanceTitle)`
`void` | `setMenuDefinitionId(MenuDefinitionId menuDefinitionId)`
`void` | `setMenuOrientation(short menuOrientation)`
`void` | `setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BookInstance

    public BookInstance(MenuDefinitionId menuDefinitionId,
                        ThemeDefinitionId themeDefinitionId,
                        short menuOrientation,
                        String instanceTitle)

Method Detail

### getBookInstanceId

    public BookInstanceId getBookInstanceId()

### getBookDefinition

    public BookDefinition getBookDefinition()

### getNavigableDefinition

    public NavigableDefinition getNavigableDefinition()

  Specified by:
    `getNavigableDefinition` in interface `NavigableInstance`

### getBookDefinitionId

    public BookDefinitionId getBookDefinitionId()

### getPlacementId

    public PlacementId getPlacementId()

  Specified by:
    `getPlacementId` in interface `PlaceableInstance`

### getBookGroupId

    public BookGroupId getBookGroupId()

  Specified by:
    `getBookGroupId` in interface `NavigableInstance`

### getNavigableDefinitionId

    public NavigableDefinitionId getNavigableDefinitionId()

  Specified by:
    `getNavigableDefinitionId` in interface `NavigableInstance`

### getNavigableInstanceId

    public NavigableInstanceId getNavigableInstanceId()

  Specified by:
    `getNavigableInstanceId` in interface `NavigableInstance`

### getPlaceableInstanceId

    public PlaceableInstanceId getPlaceableInstanceId()

  Specified by:
    `getPlaceableInstanceId` in interface `PlaceableInstance`

### getPlaceableDefinition

    public PlaceableDefinition getPlaceableDefinition()

  Specified by:
    `getPlaceableDefinition` in interface `PlaceableInstance`

### getMenuDefinitionId

    public MenuDefinitionId getMenuDefinitionId()

### setMenuDefinitionId

    public void setMenuDefinitionId(MenuDefinitionId menuDefinitionId)

### getInstanceTitle

    public String getInstanceTitle()

### setInstanceTitle

    public void setInstanceTitle(String instanceTitle)

### getThemeDefinitionId

    public ThemeDefinitionId getThemeDefinitionId()

### setThemeDefinitionId

    public void setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)

### getMenuOrientation

    public short getMenuOrientation()

### setMenuOrientation

    public void setMenuOrientation(short menuOrientation)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved